GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
collect_matching_scripts_data Struct Reference

## Public Member Functions
| collect_matching_scripts_data (std::vector< loaded_script *> *scripts_p_, const extension_language_defn *language_)

## Public Attributes
std::vector< loaded_script * > * | scripts_p
const struct extension_language_defn * | language

## Detailed Description

Definition at line 1216 of file auto-load.c.

## Constructor & Destructor Documentation

## ◆ collect_matching_scripts_data()

collect_matching_scripts_data::collect_matching_scripts_data | ( | std::vector< loaded_script *> * | scripts_p_,
|  | const extension_language_defn * | language_
| ) |  |
| inline

Definition at line 1218 of file auto-load.c.

## Member Data Documentation

## ◆ language

const struct extension_language_defn* collect_matching_scripts_data::language

Definition at line 1224 of file auto-load.c.

Referenced by collect_matching_scripts().

## ◆ scripts_p

std::vector<loaded_script *>* collect_matching_scripts_data::scripts_p

Definition at line 1223 of file auto-load.c.

Referenced by collect_matching_scripts().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/auto-load.c